# Class PatternMatcher.JSPattern

java.lang.Object
org.jmol.util.PatternMatcher.JSPattern

Enclosing class:
  `PatternMatcher`

public static class PatternMatcher.JSPattern extends Object
Super-simplified for JavaScript

## Constructor Summary

Constructors
Constructor
Description
`JSPattern(String regex, boolean isCaseInsensitive)`

## Method Summary

Modifier and Type
Method
Description
`int`
`end()`
`boolean`
`find()`
`String`
`group()`
`Matcher`
`matcher(String s)`
`int`
`start()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSPattern

public JSPattern(String regex, boolean isCaseInsensitive)

## Method Details

### find

public boolean find()

### start

public int start()

### end

public int end()

### group

public String group()

### matcher

public Matcher matcher(String s)